import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DisassociateDelegateFromResourceCommand, se_DisassociateDelegateFromResourceCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DisassociateDelegateFromResourceCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "DisassociateDelegateFromResource", {})
    .n("WorkMailClient", "DisassociateDelegateFromResourceCommand")
    .f(void 0, void 0)
    .ser(se_DisassociateDelegateFromResourceCommand)
    .de(de_DisassociateDelegateFromResourceCommand)
    .build() {
}
